TransportStreamChangeEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.service.transport
Class TransportStreamChangeEvent

    java.lang.Object
      java.util.EventObject
          javax.tv.service.SIChangeEvent
              javax.tv.service.transport.TransportSIChangeEvent
                  javax.tv.service.transport.TransportStreamChangeEvent

All Implemented Interfaces:
  Serializable

    public class TransportStreamChangeEvent

extends TransportSIChangeEvent

A `TransportStreamChangeEvent` notifies an `TransportStreamChangeListener` of changes detected in a `TransportStreamCollection`. Specifically, this event signals the addition, removal, or modification of a `TransportStream`.

See Also:
  `TransportStreamCollection`, `TransportStream`, Serialized Form

Constructor Summary
`TransportStreamChangeEvent(TransportStreamCollection collection, SIChangeType type, TransportStream ts)` Constructs a `TransportStreamChangeEvent`.

Method Summary
`TransportStream` | `getTransportStream()` Reports the `TransportStream` that changed.
`TransportStreamCollection` | `getTransportStreamCollection()` Reports the `TransportStreamCollection` that generated the event.

Methods inherited from class javax.tv.service.transport.TransportSIChangeEvent
`getTransport`

Methods inherited from class javax.tv.service.SIChangeEvent
`getChangeType, getSIElement`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransportStreamChangeEvent

    public TransportStreamChangeEvent(TransportStreamCollection collection,
                                      SIChangeType type,
                                      TransportStream ts)

  Constructs a `TransportStreamChangeEvent`.

  Parameters:
    `collection` - The transport stream collection in which the change occurred.
    `type` - The type of change that occurred.
    `ts` - The `TransportStream` that changed.

Method Detail

### getTransportStreamCollection

    public TransportStreamCollection getTransportStreamCollection()

  Reports the `TransportStreamCollection` that generated the event. It will be identical to the object returned by the `getTransport()` method.

  Returns:
    The `TransportStreamCollection` that generated the event.

### getTransportStream

    public TransportStream getTransportStream()

  Reports the `TransportStream` that changed. It will be identical to the object returned by the inherited `SIChangeEvent.getSIElement` method.

  Returns:
    The `TransportStream` that changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD